# /etc/profile.d/zannyung.sh - AnNyung LInux default alias

[ "${ANPROFILED}" = "yes" ] && return

export ANPROFILED="yes"

[ -n "$SU_USER" ] && alias on="ssh -l $SU_USER" || alias on="ssh"
alias onr='ssh -l root'
alias onrp='ssh -l root -p 2020'
alias srsync='rsync -rltvog --rsh="ssh -l root -p 2020"'

alias rpmq='rpm -q --qf '\''%{epoch}:%{name}-%{version}-%{release}.%{arch}\n'\'''

alias tarz='tar cvfpz'
alias tarj='tar cvfpj'
alias tart='tar tvfpz'
alias tartj='tar tvfpj'
alias tarx='tar xvfpz'
alias tarxj='tar xvfpj'

alias nohist='export HISTFILE=/dev/null'
alias notmout='unset TMOUT'
alias valgrind-mem='valgrind --tool=memcheck --leak-check=full --leak-resolution=high'

if [ -f /etc/sysconfig/prompt ]; then
	source /etc/sysconfig/prompt

	if [ $PROMPT_COLOR -ge 30 2> /dev/null -a $PROMPT_COLOR -le 37 ]; then
		/usr/bin/tty | /bin/grep "/dev/pts/" >& /dev/null
		[ $? -eq 0 ] && \
			export PS1="\[\e]0;\u@\h: \w\a\][\[\033[01;${PROMPT_COLOR}m\]\u\[\033[00m\]@\[\033[01;29m\]\h\[\033[00m\] \[\033[01;31m\]\W\[\033[00m\]]\$ "
	fi
fi

if [ "`id -un`" = "root" ] && ! shopt -oq posix; then
	for ansrc in $(/bin/ls /usr/share/annyung-release/functions.d/bash/* 2> /dev/null)
	do
		source $ansrc
	done
fi

